## ros-noetic-nodelet 1.10.2

=== debian/changelog ===
ros-noetic-nodelet (1.10.2-1buster) buster; urgency=high

  * add version.h for nodelet (#105 <https://github.com/ros/nodelet_core/issues/105>)
  * Fix missing num_threads call when NODELET_QUEUE_DEBUG (#112 <https://github.com/ros/nodelet_core/issues/112>)
  * Contributors: Matthijs van der Burgh, Shingo Kitagawa

 -- Michael Carroll <michael@openrobotics.org>  Thu, 07 Oct 2021 05:00:00 -0000

ros-noetic-nodelet (1.10.1-1buster) buster; urgency=high

  * removed callback queue pause around onInit() (#107 <https://github.com/ros/nodelet_core/issues/107>)
  * Contributors: Tomáš Báča

 -- Michael Carroll <michael@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-noetic-nodelet (1.10.0-1buster) buster; urgency=high

  * Update maintainer to Michael Carroll (#104 <https://github.com/ros/nodelet_core/issues/104>)
  * Bump CMake version to avoid CMP0048 warning (#102 <https://github.com/ros/nodelet_core/issues/102>)
  * enable Windows build (#85 <https://github.com/ros/nodelet_core/issues/85>)
  * Fix build issue on Windows (#82 <https://github.com/ros/nodelet_core/issues/82>)
  * delay processing of queues until Nodelet::onInit() returns (#66 <https://github.com/ros/nodelet_core/issues/66>)
  * Contributors: James Xu, Johnson Shih, Michael Carroll, Shane Loretz, Simon Gene Gottlieb

 -- Michael Carroll <michael@openrobotics.org>  Mon, 09 Mar 2020 05:00:00 -0000

ros-noetic-nodelet (1.9.16-1buster) buster; urgency=high

  * uuid dependency fixup (#74 <https://github.com/ros/nodelet_core/issues/74>)
    * don't export uuid library
    * wrap for readability
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Apr 2018 05:00:00 -0000

ros-noetic-nodelet (1.9.15-1buster) buster; urgency=high

  * use new pluginlib headers (#73 <https://github.com/ros/nodelet_core/issues/73>)
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Fri, 16 Mar 2018 05:00:00 -0000

ros-noetic-nodelet (1.9.14-1buster) buster; urgency=high

  * declared_nodelets: continue on missing plugin xml (#70 <https://github.com/ros/nodelet_core/issues/70>)
  * Contributors: Furushchev

 -- Michael Carroll <michael@openrobotics.org>  Wed, 15 Nov 2017 06:00:00 -0000

ros-noetic-nodelet (1.9.13-1buster) buster; urgency=high

  * Drop unneeded forward declaration. (#68 <https://github.com/ros/nodelet_core/issues/68>)
  * Contributors: Mike Purvis

 -- Michael Carroll <michael@openrobotics.org>  Fri, 27 Oct 2017 05:00:00 -0000

ros-noetic-nodelet (1.9.12-1buster) buster; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Fri, 04 Aug 2017 05:00:00 -0000

ros-noetic-nodelet (1.9.11-1buster) buster; urgency=high

  * Add getRemappingArgs method to nodelet to reuse it in subclass (#61 <https://github.com/ros/nodelet_core/issues/61>)
  * remove trailing whitespaces (#62 <https://github.com/ros/nodelet_core/issues/62>)
  * switch to package format 2 (#63 <https://github.com/ros/nodelet_core/issues/63>)
  * Show pkg and manifest file with verbose option (#59 <https://github.com/ros/nodelet_core/issues/59>)
  * Contributors: Kentaro Wada, Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Thu, 27 Jul 2017 05:00:00 -0000

ros-noetic-nodelet (1.9.10-1buster) buster; urgency=high

  * installs the list_nodelets script (#58 <https://github.com/ros/nodelet_core/issues/58>)
    * python3 compatibility
    * pep8
    * install list_nodelets
    * print message with service name
  * return outside of try catch
  * fix unused var warning
  * give node a name, empty node names not supported since https://github.com/ros/ros_comm/commit/bd3af70520648783da8aa4d3610f234a4d2bd41f
  * remove tabs
  * fix help message
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Mon, 27 Mar 2017 05:00:00 -0000

ros-noetic-nodelet (1.9.9-1buster) buster; urgency=high

  * drop unused dependency on tinyxml (#54 <https://github.com/ros/nodelet_core/pull/54>)
  * Install the declared_nodelets script (#53 <https://github.com/ros/nodelet_core/pull/53>)
  * Contributors: Dmitry Rozhkov, Kentaro Wada

 -- Michael Carroll <michael@openrobotics.org>  Fri, 17 Feb 2017 06:00:00 -0000

ros-noetic-nodelet (1.9.8-1buster) buster; urgency=high

  * Fix bond handling during nodelet unloading (#51 <https://github.com/ros/nodelet_core/issues/51>)
    * add test whether bond breaking on unload works (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
    * disable callback for broken bond when we are breaking it
    This avoids the nodelet::LoaderROS::unload() method to be called
    twice for the same nodelet, causing an error output.
    * use AsyncSpinner for nodelet load in order for the shutdown procedure to work
    During shutdown, the bonds still need to communicate their status in order
    for the nodelet to properly/cleanly/quickly unload. This requires the node
    to spin.
    * add test whether LoaderROS::unload() is called twice (tests #50 <https://github.com/ros/nodelet_core/issues/50>)
  * Contributors: Daniel Seifert

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Nov 2016 06:00:00 -0000

ros-noetic-nodelet (1.9.7-1buster) buster; urgency=high

  * Use rospkg instead of roslib in declared_nodelets
    Close https://github.com/ros/nodelet_core/issues/48
  * Contributors: Kentaro Wada

 -- Michael Carroll <michael@openrobotics.org>  Mon, 24 Oct 2016 05:00:00 -0000

ros-noetic-nodelet (1.9.6-1buster) buster; urgency=high



 -- Michael Carroll <michael@openrobotics.org>  Tue, 20 Sep 2016 05:00:00 -0000

ros-noetic-nodelet (1.9.5-1buster) buster; urgency=high

  * more sane debugging messages
  * Contributors: Daniel Stonier

 -- Michael Carroll <michael@openrobotics.org>  Wed, 22 Jun 2016 05:00:00 -0000

ros-noetic-nodelet (1.9.4-1buster) buster; urgency=high

  * update maintainer
  * Contributors: Mikael Arguedas

 -- Michael Carroll <michael@openrobotics.org>  Tue, 15 Mar 2016 05:00:00 -0000


